## com.google.appengine.api.xmpp
Class Error

    java.lang.Object
      com.google.appengine.api.xmpp.Error

    public class Error

extends java.lang.Object

Class that represents an XMPP error. Error objects are returned by {@link InboundErrorParser#parseError(javax.servlet.http.HttpServletRequest); there is no method for sending an outbound error.

Constructor Summary
`Error(JID fromJid, java.lang.String stanza)` Constructor for an Error object.

Method Summary
`JID` `getFromJid()`
`java.lang.String` `getStanza()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Error

    public Error(JID fromJid,
                 java.lang.String stanza)

  Constructor for an Error object.

  Parameters:
    `fromJid` - the sender of the error.
    `stanza` - the XMPP stanza representing the error.

Method Detail

### getFromJid

    public JID getFromJid()

### getStanza

    public java.lang.String getStanza()